# Coupons Coupons ## Creates a new coupon record that does not already exist. - [POST /coupons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/coupons/createcoupon.md): This method will auto-generate an ID and create a new coupon. If an ID is specified for the coupon, an error will be thrown. ## Returns a list of records with the specified award_id - [GET /coupons/{tenantId}/award/{award_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/coupons/listcouponsbyawardid.md): Returns a list of records with the specified award_id ## Execute Batch Operations - [POST /coupons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/coupons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a coupon from the system by its ID. - [DELETE /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/coupons/deletecoupon.md): This method will delete a coupon with the specified ID. ## Returns a coupon from the system by its ID. - [GET /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/coupons/getcoupon.md): This method will look up a coupon by the specified ID and return it back. ## Partially updates a coupon with the specified ID. - [PATCH /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/coupons/patchcoupon.md): This method will patch an existing coupon with the specified ID, using the HTTP PATCH specification. ## Updates a coupon with the specified ID. - [PUT /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/coupons/updatecoupon.md): This method will update an existing coupon with the specified ID.